# InformationApi

## InformationApi

All URIs are relative to *<https://api.ionos.com>*

| Method                                        | HTTP request                             | Description                         |
| --------------------------------------------- | ---------------------------------------- | ----------------------------------- |
| [**getInfo**](#getinfo)                       | **GET** /certificatemanager              | Get the Service API Information     |
| [**getJsonOpenApiSpec**](#getjsonopenapispec) | **GET** /certificatemanager/openapi.json | Get the Open API Documentation JSON |
| [**getYamlOpenApiSpec**](#getyamlopenapispec) | **GET** /certificatemanager/openapi.yaml | Get the Open API Documentation YAML |

## **getInfo**

> ApiInfoDto getInfo()

Get the Service API Information

Retrieves the service API information.

#### Example

```java
// Import classes:
import com.ionoscloud.certmanager.ApiClient;
import com.ionoscloud.certmanager.ApiException;
import com.ionoscloud.certmanager.Configuration;
import com.ionoscloud.certmanager.auth.*;
import com.ionoscloud.certmanager.model.*;
import com.ionoscloud.certmanager.api.InformationApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    
    // Configure HTTP basic authorization: basicAuth
    HttpBasicAuth basicAuthentication = (HttpBasicAuth) defaultClient.getAuthentication("basicAuth");
    basicAuthentication.setUsername("YOUR USERNAME");
    basicAuthentication.setPassword("YOUR PASSWORD");


    InformationApi apiInstance = new InformationApi(defaultClient);
    try {
      ApiInfoDto result = apiInstance.getInfo();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling InformationApi#getInfo");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

[**ApiInfoDto**](/cert-manager-sdk-java/models/apiinfodto.md)

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **getJsonOpenApiSpec**

> File getJsonOpenApiSpec()

Get the Open API Documentation JSON

Displays the Open API documentation in the JSON format.

#### Example

```java
// Import classes:
import com.ionoscloud.certmanager.ApiClient;
import com.ionoscloud.certmanager.ApiException;
import com.ionoscloud.certmanager.Configuration;
import com.ionoscloud.certmanager.auth.*;
import com.ionoscloud.certmanager.model.*;
import com.ionoscloud.certmanager.api.InformationApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    
    // Configure HTTP basic authorization: basicAuth
    HttpBasicAuth basicAuthentication = (HttpBasicAuth) defaultClient.getAuthentication("basicAuth");
    basicAuthentication.setUsername("YOUR USERNAME");
    basicAuthentication.setPassword("YOUR PASSWORD");


    InformationApi apiInstance = new InformationApi(defaultClient);
    try {
      File result = apiInstance.getJsonOpenApiSpec();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling InformationApi#getJsonOpenApiSpec");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

[**File**](https://github.com/ionos-cloud/sdk-java-cert-manager/blob/master/docs/models/File.md)

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **getYamlOpenApiSpec**

> File getYamlOpenApiSpec()

Get the Open API Documentation YAML

Displays the Open API documentation in the YAML format.

#### Example

```java
// Import classes:
import com.ionoscloud.certmanager.ApiClient;
import com.ionoscloud.certmanager.ApiException;
import com.ionoscloud.certmanager.Configuration;
import com.ionoscloud.certmanager.auth.*;
import com.ionoscloud.certmanager.model.*;
import com.ionoscloud.certmanager.api.InformationApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    
    // Configure HTTP basic authorization: basicAuth
    HttpBasicAuth basicAuthentication = (HttpBasicAuth) defaultClient.getAuthentication("basicAuth");
    basicAuthentication.setUsername("YOUR USERNAME");
    basicAuthentication.setPassword("YOUR PASSWORD");


    InformationApi apiInstance = new InformationApi(defaultClient);
    try {
      File result = apiInstance.getYamlOpenApiSpec();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling InformationApi#getYamlOpenApiSpec");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

[**File**](https://github.com/ionos-cloud/sdk-java-cert-manager/blob/master/docs/models/File.md)

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/yaml


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cert-manager-sdk-java/api/informationapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
